﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace ToolkitChartDemo.Models
{
    public class WeatherData : INotifyPropertyChanged
    {
        private DateTime _date;
        private double _minTemp;
        private double _meanTemp;
        private double _maxTemp;
        private double _minHumidity;
        private double _meanHumidity;
        private double _maxHumidity;

        public WeatherData(DateTime date, double minTemp, double meanTemp, double maxTemp, double minHumidity, double meanHumidity, double maxHumidity)
        {
            _date = date;
            _minTemp = minTemp;
            _meanTemp = meanTemp;
            _maxTemp = maxTemp;
            _minHumidity = minHumidity;
            _meanHumidity = meanHumidity;
            _maxHumidity = maxHumidity;
        }

        public DateTime Date
        {
            get
            {
                return _date;
            }
            set
            {
                _date = value;
                OnPropertyChanged("Date");
            }
        }

        public Double MinTemp
        {
            get
            {
                return _minTemp;
            }
            set
            {
                _minTemp = value;
                OnPropertyChanged("MinTemp");
            }
        }

        public Double MeanTemp
        {
            get
            {
                return _meanTemp;
            }
            set
            {
                _meanTemp = value;
                OnPropertyChanged("MeanTemp");
            }
        }

        public Double MaxTemp
        {
            get
            {
                return _maxTemp;
            }
            set
            {
                _maxTemp = value;
                OnPropertyChanged("MaxTemp");
            }
        }

        public Double MinHumidity
        {
            get
            {
                return _minHumidity;
            }
            set
            {
                _minHumidity = value;
                OnPropertyChanged("MinHumidity");
            }
        }

        public Double MeanHumidity
        {
            get
            {
                return _meanHumidity;
            }
            set
            {
                _meanHumidity = value;
                OnPropertyChanged("MeanHumidity");
            }
        }

        public Double MaxHumidity
        {
            get
            {
                return _maxHumidity;
            }
            set
            {
                _maxHumidity = value;
                OnPropertyChanged("MaxHumidity");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
