﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.IO;

namespace ToolkitChartDemo.Models
{
    public class WeatherDataSource
    {
        public static List<WeatherData> LoadData()
        {
            Stream s = App.GetResourceStream(new Uri("/ToolkitChartDemo;component/WeatherData.txt", UriKind.Relative)).Stream;
            StreamReader reader = new StreamReader(s);
            var data = new List<WeatherData>();
            reader.ReadLine();
            while (!reader.EndOfStream)
            {
                string line = reader.ReadLine();
                string[] values = line.Split(',');
                if (values.Length > 0)
                {

                    data.Add(new WeatherData(DateTime.Parse(values[0]), //Date
                        double.Parse(values[3]), //MinTemp
                        double.Parse(values[2]), //MeanTemp
                        double.Parse(values[1]), //MaxTemp
                        double.Parse(values[9]), //MinHumidity
                        double.Parse(values[8]), //MeanHumidity
                        double.Parse(values[7]))); //MaxHumidity
                }
            }

            if (data.Count > 0)
            {
                return data;
            }
            else
            {
                return null;
            }
        }
    }
}
