﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ToolkitChartDemo.Models;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace ToolkitChartDemo.ViewModels
{
    public class MainViewModel : INotifyPropertyChanged
    {
        public MainViewModel()
        {
            //empty
        }

        private ObservableCollection<WeatherData> weatherData = new ObservableCollection<WeatherData>();
        public ObservableCollection<WeatherData> WeatherData
        {
            get { return weatherData; }
        }

        public void LoadData(int NumRecords)
        {
            List<WeatherData> data = WeatherDataSource.LoadData();
            for (int i = 0; i < NumRecords; i++)
            {
                weatherData.Add(data[i]);
            }
        }

        private int _numRecords;
        public int NumRecords
        {
            get 
            { 
                return _numRecords; 
            }
            set 
            { 
                _numRecords = value;
                LoadData(_numRecords);
                _minDate = WeatherData[0].Date.ToOADate();
                OnPropertyChanged("NumRecords");
            }
        }

        private double _minDate;
        public double MinDate
        {
            get
            {
                return _minDate;
            }
            set
            {
                _minDate = value;
                OnPropertyChanged("MinDate");
            }
        }

        private RelayCommand changeDataCommand;

        public ICommand ChangeDataCommand
        {
            get
            {
                if (changeDataCommand == null)
                {
                    changeDataCommand = new RelayCommand(param => this.ChangeData());
                }
                return changeDataCommand;
            }
        }

        // Execute method
        private void ChangeData()
        {
            Random rnd = new Random();
            for (int i = 0; i < 20; i++)
            {
                weatherData[i].MeanTemp = rnd.Next(20, 40);
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
