﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using C1.Silverlight.Chart;

namespace ToolkitChartDemo.Views
{
    public partial class C1ChartView : Page
    {
        ChartPanel pnl = new ChartPanel();

        public C1ChartView()
        {
            InitializeComponent();

            c1Chart1.MouseLeftButtonUp += (s, e) =>
            {
                if (e.OriginalSource == pnl)
                {
                    var pt = pnl.GetDataCoordinates(e);
                    if (pt.X >= c1Chart1.View.AxisX.ActualMin && pt.X <= c1Chart1.View.AxisX.ActualMax)
                        AddMarker(pt.X);
                }
            };

            c1Chart1.View.Layers.Add(pnl);
        }

        void AddMarker(double x)
        {
            var dt = (DataTemplate)Resources["marker"];
            var cpo = (ChartPanelObject)dt.LoadContent();
            
            cpo.DataPoint = new Point(x, double.NaN);
            cpo.Action = ChartPanelAction.LeftMouseButtonDrag;

            cpo.Attach = ChartPanelAttach.DataX;

            pnl.Children.Add(cpo);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var btn = (Button)sender;
            var obj = (ChartPanelObject)btn.Tag;
            pnl.Children.Remove(obj);
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            if(this.DataContext != null)
                c1Chart1.View.AxisX.Min = ((ToolkitChartDemo.ViewModels.MainViewModel)this.DataContext).MinDate;
        }

        private void btnReset_Click(object sender, RoutedEventArgs e)
        {
            c1Chart1.View.AxisX.Scale = 0.2;
            c1Chart1.View.AxisY.Scale = 1;
        }

    }
}
